---
title: "List workplaces at an address by Lantmäteriet UUID (AG Grid)"
description: "Same as POST /addresses/{id:int}/workplaces but keyed by the Lantmäteriet Belägenhetsadress ObjektIdentitet UUID."
url: https://docs.tic.io/api-lens/addresses/list-workplaces-at-an-address-by-lantmäteriet-uuid-ag-grid
lastmod: 2026-10-25T10:00:27.000Z
---

# List workplaces at an address by Lantmäteriet UUID (AG Grid)

Same as POST /addresses/{id:int}/workplaces but keyed by the Lantmäteriet Belägenhetsadress ObjektIdentitet UUID.

```http
POST https://lens-api.tic.io/addresses/se/{externalId}/workplaces
```

Same as POST /addresses/{id:int}/workplaces but keyed by the Lantmäteriet `Belägenhetsadress` ObjektIdentitet UUID.

**Requires:** Max+ tier

**Authentication:** API key in the `x-api-key` header.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `externalId` | path | string | yes | Lantmäteriet Belägenhetsadress UUID |

## Request body (application/json)

```json
{
  "startRow": 123,
  "endRow": 123,
  "rowGroupCols": [
    {
      "id": "<string>",
      "displayName": "<string>",
      "field": "<string>"
    }
  ],
  "groupKeys": [
    "<string>"
  ],
  "filterModel": [
    {
      "columnName": "<string>",
      "filterType": "<string>"
    }
  ],
  "sortModel": [
    {
      "sort": "asc",
      "colId": "<string>"
    }
  ]
}
```

## Responses

### 200

AG Grid page of Address_WorkplaceGrid_Dto rows

### 404

Address not found
